[packages/rpm-build-tools] use pldnotify from PATH

glen glen at pld-linux.org
Mon Nov 2 19:19:52 CET 2015


commit d1d44ebd0e26db8628b04b2dfc97ff9253612c73
Author: Elan Ruusamäe <glen at delfi.ee>
Date:   Mon Nov 2 20:19:44 2015 +0200

    use pldnotify from PATH

 builder.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)
---
diff --git a/builder.sh b/builder.sh
index 840a369..c5bac93 100755
--- a/builder.sh
+++ b/builder.sh
@@ -993,7 +993,7 @@ get_spec() {
 
 		# create symlinks for tools
 		if [ "$SYMLINK_TOOLS" != "no" -a -d "$PACKAGE_DIR" ]; then
-			for a in dropin md5 adapter builder {relup,compile,repackage,rsync,pearize}.sh pldnotify.awk; do
+			for a in dropin md5 adapter builder {relup,compile,repackage,rsync,pearize}.sh; do
 				# skip tools that don't exist in top dir
 				[ -f $a ] || continue
 				# skip tools that already exist
@@ -1565,12 +1565,12 @@ try_upgrade() {
 		echo "Updating spec file to version $TNEWVER"
 	else
 		if [ -n "$FLOAT_VERSION" ]; then
-			TNOTIFY=$($APPDIR/pldnotify.awk ${BE_VERBOSE:+-vDEBUG=1} $SPECFILE -n) || exit 1
+			TNOTIFY=$(pldnotify ${BE_VERBOSE:+-vDEBUG=1} $SPECFILE -n) || exit 1
 		else
-			TNOTIFY=$($APPDIR/pldnotify.awk ${BE_VERBOSE:+-vDEBUG=1} $SPECFILE) || exit 1
+			TNOTIFY=$(pldnotify ${BE_VERBOSE:+-vDEBUG=1} $SPECFILE) || exit 1
 		fi
 
-		# pldnotify.awk does not set exit codes, but it has match for ERROR
+		# pldnotify does not set exit codes, but it has match for ERROR
 		# in output which means so.
 		if [[ "$TNOTIFY" = *ERROR* ]]; then
 			echo >&2 "$TNOTIFY"
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/rpm-build-tools.git/commitdiff/d1d44ebd0e26db8628b04b2dfc97ff9253612c73



More information about the pld-cvs-commit mailing list